Skip to main content
GET
/
v1
/
master-wallets
List master wallets
curl --request GET \
  --url https://api.xentfi.com/v1/master-wallets \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "walletAddress": "<string>",
      "network": "<string>",
      "blockchain": {
        "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
        "name": "Base",
        "slug": "base-mainnet",
        "symbol": "ETH",
        "isActive": true,
        "isEvmCompatible": true,
        "configurations": null,
        "chainId": 8453,
        "logoUrl": "https://example.com/base-logo.png",
        "tokenStandard": "ERC20",
        "createdAt": "2023-04-28T14:44:06.397Z",
        "updatedAt": "2024-11-26T15:26:18.785Z"
      },
      "configurations": {
        "aml": {
          "message": "<string>",
          "provider": "<string>",
          "status": "<string>"
        },
        "enableGaslessWithdraw": true,
        "enableMultiChain": true,
        "autoSweep": {
          "enabled": true,
          "threshold": "<string>",
          "destinationAddress": "<string>"
        },
        "security": {
          "requireApprovalForTransfers": true,
          "maxTransferAmount": "<string>",
          "allowedRecipients": [
            "<string>"
          ]
        },
        "monitoring": {
          "enableBalanceTracking": true,
          "enableTransactionTracking": true,
          "alertOnLargeTransfers": "<string>"
        }
      },
      "metadata": {},
      "analytics": {
        "addressesCount": 123,
        "autoSettlementRulesCount": 123,
        "paymentLinksCount": 123
      },
      "isActive": true,
      "enabledBlockchains": [
        {
          "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
          "name": "Base",
          "slug": "base-mainnet",
          "symbol": "ETH",
          "isActive": true,
          "isEvmCompatible": true,
          "configurations": null,
          "chainId": 8453,
          "logoUrl": "https://example.com/base-logo.png",
          "tokenStandard": "ERC20",
          "createdAt": "2023-04-28T14:44:06.397Z",
          "updatedAt": "2024-11-26T15:26:18.785Z"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Query Parameters

masterId
string
blockchainId
string
status
string
network
enum<string>
Available options:
testnet,
mainnet
walletAddress
string
from
string
to
string
offset
integer
default:0
limit
integer
default:10
order
enum<string>
Available options:
ASC,
DESC

Response

List of master wallets

data
object[]
total
integer
hasMore
boolean